Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore CDP
Data privacy
Before you start sending data
Integrating with Sitecore CDP
Stream API
Batch API
REST APIs
Data lake export service
  • Sitecore CDP for developers
  • REST APIs
  • Legacy REST APIs
  • Order item REST API v2 (legacy)
  • Update an order item (legacy)

Update an order item (legacy)

Important

A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.

POST /v2/orderItems/<orderItemRef>

Updates an order item.

Attribute

Type

Description

Example

orderItemRef

string

The reference of the order item.

If you do not know the order item reference, first retrieve order item references for an order.

d680c9be-4c07-4731-857e-9602034b15f2

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

currencyCode

string (uppercase ISO 4217)

The organization’s currency code for the order item.

"EUR", "NZD","USD"

price

number (currency)

The organization’s price for the order item.

50, 30.6

status

string enum (uppercase)

The status of the order item.

Must be one of:

"RESERVED", "PENDING", "DECLINED", "CONFIRMED", "CANCELLED", "REFUNDED", "PURCHASED", "UNKNOWN"

type

string enum (uppercase with underscore if more than one word)

The type of order item.

Must be one of:

"FLIGHT", "HOTEL", "CAR", "BAG", "INSURANCE", "CAR_SEAT", "MEAL", "FEE", "LOUNGE_ACCESS", "HOTEL_WIFI", "HOTEL_BREAKFAST", "SEAT_UPGRADE", "TAXI", "PARKING", "SEAT", "UPGRADE", "TRANSPORT", "OTHER", "INFLIGHT_ENTERTAINMENT", "ACTIVITY", "CARBON_OFFSET", "PAID_SUBSCRIPTION", "COMFORT_PACK", "INFLIGHT_VOUCHER", "PACKAGE", "SMS_ITINERARY", "SPECIAL_ASSISTANCE", "CHARITY_DONATION", "TRANSFER" *Deprecated:"BAGGAGE", "FEES", "SEAT_UPGRADES", "INFLIGHT_VOUCHERS"

productId

string

The ID of the product.

"DUB-LAS"

referenceId

string

An ID generated by the client to reference the order item.

"B94TXY-1"

RequestResponse
curl -X POST '<baseURL>/v2/orderItems/d680c9be-4c07-4731-857e-9602034b15f2' \
-u '<username>:<password>' \
-H 'Accept: application/json' \
--data-raw '
{
    "type": "FLIGHT",
    "productId": "DUB-LAS",
    "orderedAt": "2025-07-23T16:17:16.000Z",
    "quantity": 1,
    "price": 100.00,
    "currencyCode": "EUR",
    "originalPrice": 112.00,
    "originalCurrencyCode": "USD",
    "referenceId": "B94TXY-1",
    "status": "PURCHASED",
    "passengerTypeCode": "ADT",
    "flightSegments": [{
        "id": "1234",
        "origin": "DUB",
        "destination": "LHR",
        "originDestination": "DUB-LHR",
        "departureDateTime": "2025-08-15T16:00:00.000Z",
        "arrivalDateTime": "2025-08-15T17:30:00.000Z",
        "fareClass": "Economy",
        "fareFamily": "Plus",
        "bookingClass": "Y",
        "carrier": "BX",
        "flightNumber": "459",
        "operatingCarrier": "BX",
        "operatingFlightNumber": "1459" 
    },
    {
        "id": "1235",
        "origin": "LHR",
        "destination": "LAS",
        "originDestination": "DUB-LAS",
        "departureDateTime": "2025-08-15T19:00:00.000Z",
        "arrivalDateTime": "2025-08-15T21:30:00.000Z",
        "fareClass": "Economy",
        "fareFamily": "Plus",
        "bookingClass": "Y",
        "carrier": "BX",
        "flightNumber": "460",
        "operatingCarrier": "BX",
        "operatingFlightNumber": "1460"
    }]
}'
RequestResponse
{
    "type": "FLIGHT",
    "href": "<baseURL>/v2/orderItems/d680c9be-4c07-4731-857e-9602034b15f2",
    "ref": "d680c9be-4c07-4731-857e-9602034b15f2",
    "order": {
        "href": "<baseURL>/v2/orders/25875e50-f984-4f10-8974-673e62a248cb"
    },
    "createdAt": "2025-09-11T07:49:21.239Z",
    "modifiedAt": "2025-11-08T16:20:30.503Z",
    "orderedAt": "2025-07-23T16:17:16.000Z",
    "productId": "DUB-LAS",
    "price": 100,
    "currencyCode": "EUR",
    "originalPrice": 112,
    "originalCurrencyCode": "USD",
    "referenceId": "B94TXY-1",
    "vendor": "unknown",
    "status": "PURCHASED",
    "language": "EN",
    "name": "Flight DUB-LAS",
    "description": "Flight DUB-LAS",
    "quantity": 1,
    "channel": "WEB",
    "flightSegments": [
        {
            "id": "1234",
            "origin": "DUB",
            "destination": "LHR",
            "departureDateTime": "2025-08-15T16:00:00.000Z",
            "arrivalDateTime": "2025-08-15T17:30:00.000Z",
            "flightNumber": "459",
            "fareClass": "Economy",
            "fareFamily": "Plus",
            "carrier": "BX",
            "originDestination": "DUB-LHR",
            "bookingClass": "Y",
            "operatingCarrier": "BX"
        },
        {
            "id": "1235",
            "origin": "LHR",
            "destination": "LAS",
            "departureDateTime": "2025-08-15T19:00:00.000Z",
            "arrivalDateTime": "2025-08-15T21:30:00.000Z",
            "flightNumber": "460",
            "fareClass": "Economy",
            "fareFamily": "Plus",
            "carrier": "BX",
            "originDestination": "DUB-LAS",
            "bookingClass": "Y",
            "operatingCarrier": "BX"
        }
    ],
    "passengerTypeCode": "ADT",
    "consumerTypeCode": "ADT",
    "sku": "DUB-LAS"
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore